import 'package:get/get.dart';
import 'package:get/get_navigation/src/routes/get_route.dart';
import 'package:rogapp/pages/camera/camera_page.dart';
import 'package:rogapp/pages/category/category_page.dart';
import 'package:rogapp/pages/changepassword/change_password_page.dart';
import 'package:rogapp/pages/city/city_page.dart';
import 'package:rogapp/pages/destination/destination_binding.dart';
import 'package:rogapp/pages/destination/destination_page.dart';
import 'package:rogapp/pages/home/home_binding.dart';
import 'package:rogapp/pages/home/home_page.dart';

import 'package:rogapp/pages/index/index_page.dart';
import 'package:rogapp/pages/landing/landing_page.dart';
import 'package:rogapp/pages/loading/loading_page.dart';
import 'package:rogapp/pages/login/login_page.dart';
import 'package:rogapp/pages/mainperf/mainperf_page.dart';
import 'package:rogapp/pages/permission/permission.dart';
import 'package:rogapp/pages/progress/progress.dart';
import 'package:rogapp/pages/register/register_page.dart';
import 'package:rogapp/pages/search/search_binding.dart';
import 'package:rogapp/pages/search/search_page.dart';
import 'package:rogapp/pages/subperf/subperf_page.dart';
import 'package:rogapp/spa/spa_binding.dart';
import 'package:rogapp/spa/spa_page.dart';


part 'app_routes.dart';

class AppPages {

  // ignore: constant_identifier_names
  static const INITIAL = Routes.INDEX;
  // ignore: constant_identifier_names
  static const SPA = Routes.SPA;
  static const LANDING = Routes.LANDING;
  static const LOGIN = Routes.LOGIN;
  static const REGISTER = Routes.REGISTER;
  static const TRAVEL = Routes.TRAVEL;
  static const LOADING = Routes.LOADING;
  static const DESTINATION_MAP = Routes.DESTINATION_MAP;
  static const HOME = Routes.HOME;
  static const PERMISSION = Routes.PERMISSION;
  static const SEARCH = Routes.SEARCH;
  static const MAINPERF = Routes.MAINPERF;
  static const SUBPERF = Routes.SUBPERF;
  static const CITY = Routes.CITY;
  static const CATEGORY = Routes.CATEOGORY;
  static const CHANGE_PASSWORD = Routes.CHANGE_PASSWORD;
  static const CAMERA_PAGE = Routes.CAMERA_PAGE;
  static const PROGRESS = Routes.PROGRESS;

  static final routes = [
    // GetPage(
    //   name: Routes.HOME,
    //   page: () => HomePage(),
    //   binding: HomeBinding(),
    // ),
    // GetPage(
    //   name: Routes.MAP,
    //   page: () => MapPage(),
    //   binding: MapBinding(),
    // )
    GetPage(
      name: Routes.INDEX,
      page: () => IndexPage(),
      //binding: IndexBinding(),
    ),
    GetPage(
      name: Routes.SPA,
      page: () => const SpaPage(),
      binding: SpaBinding(),
    ),
    GetPage(
      name: Routes.LANDING,
      page: () => LandingPage(),
      //binding: SpaBinding(),
    ),
    GetPage(
      name: Routes.LOGIN,
      page: () => LoginPage(),
      //binding: SpaBinding(),
    ),
    GetPage(
      name: Routes.REGISTER,
      page: () => RegisterPage(),
      //binding: SpaBinding(),
    ),
    GetPage(
      name: Routes.TRAVEL,
      page: () => DestnationPage(),
      binding: DestinationBinding(),
    ),
    GetPage(
      name: Routes.LOADING,
      page: () => LoadingPage(),
      //binding: DestinationBinding(),
    ),
    GetPage(
      name: Routes.DESTINATION_MAP,
      page: () => DestnationPage(),
      //binding: DestinationBinding(),
    ),
    GetPage(
      name: Routes.HOME,
      page: () => HomePage(),
      binding: HomeBinding(),
    ),
    GetPage(
      name: Routes.PERMISSION,
      page: () => PermissionHandlerScreen(),
    ),
    GetPage(
      name: Routes.SEARCH,
      page: () => SearchPage(),
      binding: SearchBinding(),
    ),
    GetPage(
      name: Routes.MAINPERF,
      page: () => MainPerfPage(),
    ),
    GetPage(
      name: Routes.SUBPERF,
      page: () => SubPerfPage(),
    ),
    GetPage(
      name: Routes.CITY,
      page: () => CityPage(),
    ),
    GetPage(
      name: Routes.CATEOGORY,
      page: () => CategoryPage(),
    ),
    GetPage(
      name: Routes.CHANGE_PASSWORD,
      page: () => ChangePasswordPage(),
    ),
    GetPage(
      name: Routes.CAMERA_PAGE,
      page: () => CameraPage(),
    ),
    GetPage(
      name: Routes.PROGRESS,
      page: () => ProgressPage(),
    )
  ];
}